Android 中会出现的问题:This Android SDK requires Andro...

  次阅读 来源:互联网(转载协议) 2016-01-14 15:28 我要评论(0)

windows 下面安装Android虚拟机,有时候选择更新SDK后,在Eclipse preference里指向android_sdk_windows_x86时。会出现诸如This AndroidSDK requiresAndroid Developer Toolkit version 10.0.0or above这样的提示,而且虚拟机无法打开的情况,这是由于选择更新后,在android_sdk_windows_x86/tools/lib下的 plugin.pro文件里被变更为

# begin plugin.prop

plugin.version=10.0.0

# end plugin.prop

Eclipse 在查看该文件时,看到plugin.version=10.0.0,就认为当前的sdk需要10.00版本以上的插件,但是当前 的插件还未来得及更新到10.0.0版本,但我们只想用以前旧的插件,最简单的方法就是将plugin.version的版本信息改为旧版本的版本号,诸 如9.0.0.当前SDK的版本已经更新至14.0.0,我在误点更新之后,提示需要更新Android Developer Toolkit到14.0.0.0版本以上,而以前下下来的低版本的AndroidDeveloper Toolkit 却无法使用,查到后才发现是该文件的问题,修改plugin.version=12.0.0(我的旧的Android Developer Toolkit )保存,再重启一下Eclipse就能用以前旧的avd了

本站部分文章来源于网络以及网友投稿,本站只负责对文章进行整理、排版、编辑,是出于传递更多信息之目的,并不意味着赞同其观点或证实其内容的真实性。如果您有什么意见或建议,请联系QQ28-1688-302!

人工智能实验室
相关文章相关文章
  • teamLab创始人猪子寿之: 抛去衣食住行,我还剩下什么?

    teamLab创始人猪子寿之: 抛去衣食住行,我还剩下什么?

  • 2018深圳国际人工智能展览会 2018 shenzhen International Artif

    2018深圳国际人工智能展览会 2018 shenzhen International Artif

  • Michael I. Jordan带你解读百万奖金ATEC蚂蚁人工智能大赛

    Michael I. Jordan带你解读百万奖金ATEC蚂蚁人工智能大赛

  • Oculus公布原型机,大幅度提升可视角,能实现140°的视场水平

    Oculus公布原型机,大幅度提升可视角,能实现140°的视场水平

网友点评网友点评
阅读推荐阅读推荐

据外媒报道,STEER打造了首款完全自动驾驶停车技术,旨在使常规车辆转变为无人驾驶车辆。STEER的首款技术应用是4级自动驾驶及网络安全停车...

近日,美国软性机器抓手制造商 Soft Robotics 宣布,获得 2000 万美元的融资,本轮投资者包括 Scale Venture Partners,Calibrate Ventures...

据外媒报道,加州车管局发布了《2017自动驾驶脱离报告(California Autonomous Vehicle Disengagement Reports)》,其中谈及了脱离的具体...

用人机语音交互,来解决智能家居适老的问题;通过家庭门禁与安防套件、空气净化套件、可燃气体与有害气体监控套件等相互联动,在不同生活情...